Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1684590 - Major upgrade OSP13->OSP14 fails during UC upgrade: ERROR: os-net-config configuration failed "UnboundLocalError: local variable 'interface' referenced before assignment" [NEEDINFO]
Summary: Major upgrade OSP13->OSP14 fails during UC upgrade: ERROR: os-net-config conf...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: os-net-config
Version: 14.0 (Rocky)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: z1
: 14.0 (Rocky)
Assignee: RHOS Maint
QA Contact: nlevinki
URL:
Whiteboard:
Depends On:
Blocks: 1684663
TreeView+ depends on / blocked
 
Reported: 2019-03-01 15:33 UTC by Alexander Chuzhoy
Modified: 2019-03-18 13:03 UTC (History)
10 users (show)

Fixed In Version: os-net-config-9.2.1-0.20190117181409.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1684663 (view as bug list)
Environment:
Last Closed: 2019-03-18 13:03:43 UTC
Target Upstream Version:
ccopello: needinfo? (rhos-maint)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 639980 None None None 2019-03-01 17:58:36 UTC
Red Hat Product Errata RHBA-2019:0446 None None None 2019-03-18 13:03:50 UTC

Description Alexander Chuzhoy 2019-03-01 15:33:45 UTC
Major upgrade OSP13->OSP14 fails during UC upgrade: ERROR: os-net-config configuration failed "UnboundLocalError: local variable 'interface' referenced before assignment"

Environment:
rhosp-release-14.0.1-1.el7ost.noarch
instack-undercloud-9.4.1-0.20180928005747.15cda5a.el7ost.noarch
python2-ironicclient-2.5.0-0.20180810135843.fb94fb8.el7ost.noarch
puppet-ironic-13.3.1-0.20181013115250.el7ost.noarch
python-ironic-lib-2.14.0-0.20180810074837.344161b.el7ost.noarch
openstack-ironic-common-11.1.2-0.20190112034459.4279258.el7ost.noarch
openstack-ironic-conductor-11.1.2-0.20190112034459.4279258.el7ost.noarch
openstack-ironic-staging-drivers-0.10.2-1.el7ost.noarch
openstack-ironic-api-11.1.2-0.20190112034459.4279258.el7ost.noarch
python2-ironic-neutron-agent-1.2.1-0.20180831194318.af95c72.el7ost.noarch
openstack-ironic-inspector-8.0.2-0.20181219092843.9b6133b.el7ost.noarch

Major upgrade of UC fails.

tivate)\\n  File \\\"/usr/lib/python2.7/site-packages/os_net_config/impl_ifcfg.py\\\", line 1370, in apply\\n    interface[0])\\nUnboundLocalError: local variable 'interface' referenced before assignment\\n+ RETVAL=1\\n+ set -e\\n+ [[ 1 == 2 ]]\\n+ [[ 1 != 0 ]]\\n+ echo 'ERROR: os-net-config configuration failed.'\\nERROR: os-net-config configuration failed.\\n+ exit 1\\n\", \"deploy_status_code\": 1}\n[2019-02-28 13:23:53,074] (heat-config) [DEBUG] [2019-02-28 13:23:52,300] (heat-config) [INFO] disable_configure_safe_defaults=True\n[2019-02-28 13:23:52,300] (heat-config) [INFO] interface_name=eth0\n[2019-02-28 13:23:52,300] (heat-config) [INFO] bridge_name=br-ex\n[2019-02-28 13:23:52,300] (heat-config) [INFO] deploy_server_id=3fa744bc-6a10-4d09-a3ef-d7128732e2b4\n[2019-02-28 13:23:52,300] (heat-config) [INFO] deploy_action=CREATE\n[2019-02-28 13:23:52,300] (heat-config) [INFO] deploy_stack_id=undercloud-Undercloud-xpvawich3fmh-0-qauhuee66tng-NetworkDeployment-opu6wpwy6zxy-TripleOSoftwareDeployment-dr7gra3dvf3i/0281649a-7b0a-4813-b911-5d9f2f4c03e1\n[2019-02-28 13:23:52,300] (heat-config) [INFO] deploy_resource_name=TripleOSoftwareDeployment\n[2019-02-28 13:23:52,300] (heat-config) [INFO] deploy_signal_transport=NO_SIGNAL\n[2019-02-28 13:23:52,301] (heat-config) [DEBUG] Running /var/lib/heat-config/heat-config-script/65bc576a-7972-4920-ab57-95e7f73087c4\n[2019-02-28 13:23:53,070] (heat-config) [INFO] \n[2019-02-28 13:23:53,070] (heat-config) [DEBUG] + '[' -n '{\"network_config\": [{\"addresses\": [{\"ip_netmask\": \"192.168.24.1/24\"}], \"dns_servers\": [], \"members\": [{\"mtu\": 1500, \"name\": \"interface_name\", \"primary\": true, \"type\": \"interface\"}], \"name\": \"br-ctlplane\", \"ovs_extra\": [\"br-set-external-id br-ctlplane bridge-id br-ctlplane\"], \"routes\": [], \"type\": \"ovs_bridge\", \"use_dhcp\": false}]}' ']'\n+ '[' -z True ']'\n+ mkdir -p /etc/os-net-config\n+ echo '{\"network_config\": [{\"addresses\": [{\"ip_netmask\": \"192.168.24.1/24\"}], \"dns_servers\": [], \"members\": [{\"mtu\": 1500, \"name\": \"interface_name\", \"primary\": true, \"type\": \"interface\"}], \"name\": \"br-ctlplane\", \"ovs_extra\": [\"br-set-external-id br-ctlplane bridge-id br-ctlplane\"], \"routes\": [], \"type\": \"ovs_bridge\", \"use_dhcp\": false}]}'\n++ type -t network_config_hook\n+ '[' '' = function ']'\n+ sed -i s/bridge_name/br-ex/ /etc/os-net-config/config.json\n+ sed -i s/interface_name/eth0/ /etc/os-net-config/config.json\n+ set +e\n+ os-net-config -c /etc/os-net-config/config.json -v --detailed-exit-codes\n[2019/02/28 01:23:52 PM] [INFO] Using config file at: /etc/os-net-config/config.json\n[2019/02/28 01:23:52 PM] [INFO] Ifcfg net config provider created.\n[2019/02/28 01:23:52 PM] [INFO] Not using any mapping file.\n[2019/02/28 01:23:53 PM] [INFO] Finding active nics\n[2019/02/28 01:23:53 PM] [INFO] br-ctlplane is not an active nic\n[2019/02/28 01:23:53 PM] [INFO] br-int is not an active nic\n[2019/02/28 01:23:53 PM] [INFO] ovs-system is not an active nic\n[2019/02/28 01:23:53 PM] [INFO] eth1 is an embedded active nic\n[2019/02/28 01:23:53 PM] [INFO] eth0 is an embedded active nic\n[2019/02/28 01:23:53 PM] [INFO] eth2 is an embedded active nic\n[2019/02/28 01:23:53 PM] [INFO] lo is not an active nic\n[2019/02/28 01:23:53 PM] [INFO] docker0 is not an active nic\n[2019/02/28 01:23:53 PM] [INFO] No DPDK mapping available in path (/var/lib/os-net-config/dpdk_mapping.yaml)\n[2019/02/28 01:23:53 PM] [INFO] Active nics are ['eth0', 'eth1', 'eth2']\n[2019/02/28 01:23:53 PM] [INFO] nic3 mapped to: eth2\n[2019/02/28 01:23:53 PM] [INFO] nic2 mapped to: eth1\n[2019/02/28 01:23:53 PM] [INFO] nic1 mapped to: eth0\n[2019/02/28 01:23:53 PM] [INFO] adding bridge: br-ctlplane\n[2019/02/28 01:23:53 PM] [INFO] adding interface: eth0\n[2019/02/28 01:23:53 PM] [INFO] applying network configs...\n[2019/02/28 01:23:53 PM] [INFO] No changes required for interface: eth0\nTraceback (most recent call last):\n  File \"/bin/os-net-config\", line 10, in <module>\n    sys.exit(main())\n  File \"/usr/lib/python2.7/site-packages/os_net_config/cli.py\", line 294, in main\n    activate=not opts.no_activate)\n  File \"/usr/lib/python2.7/site-packages/os_net_config/impl_ifcfg.py\", line 1370, in apply\n    interface[0])\nUnboundLocalError: local variable 'interface' referenced before assignment\n+ RETVAL=1\n+ set -e\n+ [[ 1 == 2 ]]\n+ [[ 1 != 0 ]]\n+ echo 'ERROR: os-net-config configuration failed.'\nERROR: os-net-config configuration failed.\n+ exit 1\n\n[2019-02-28 13:23:53,070] (heat-config) [ERROR] Error running /var/lib/heat-config/heat-config-script/65bc576a-7972-4920-ab57-95e7f73087c4. [1]\n\n\n[2019-02-28 13:23:53,074] (heat-config) [INFO] Completed /usr/libexec/heat-config/hooks/script\n[2019-02-28 13:23:53,075] (heat-config) [DEBUG] Running heat-config-notify /var/lib/heat-config/deployed/65bc576a-7972-4920-ab57-95e7f73087c4.json < /var/lib/heat-config/deployed/65bc576a-7972-4920-ab57-95e7f73087c4.notify.json\n[2019-02-28 13:23:53,799] (heat-config) [INFO] \n[2019-02-28 13:23:53,799] (heat-config) [DEBUG] ", "stderr_lines": ["[2019-02-28 13:23:52,276] (heat-config) [DEBUG] Running /usr/libexec/heat-config/hooks/script < /var/lib/heat-config/deployed/65bc576a-7972-4920-ab57-95e7f73087c4.json", "[2019-02-28 13:23:53,074] (heat-config) [INFO] {\"deploy_stdout\": \"\", \"deploy_stderr\": \"+ '[' -n '{\\\"network_config\\\": [{\\\"addresses\\\": [{\\\"ip_netmask\\\": \\\"192.168.24.1/24\\\"}], \\\"dns_servers\\\": [], \\\"members\\\": [{\\\"mtu\\\": 1500, \\\"name\\\": \\\"interface_name\\\", \\\"primary\\\": true, \\\"type\\\": \\\"interface\\\"}], \\\"name\\\": \\\"br-ctlplane\\\", \\\"ovs_extra\\\": [\\\"br-set-external-id br-ctlplane bridge-id br-ctlplane\\\"], \\\"routes\\\": [], \\\"type\\\": \\\"ovs_bridge\\\", \\\"use_dhcp\\\": false}]}' ']'\\n+ '[' -z True ']'\\n+ mkdir -p /etc/os-net-config\\n+ echo '{\\\"network_config\\\": [{\\\"addresses\\\": [{\\\"ip_netmask\\\": \\\"192.168.24.1/24\\\"}], \\\"dns_servers\\\": [], \\\"members\\\": [{\\\"mtu\\\": 1500, \\\"name\\\": \\\"interface_name\\\", \\\"primary\\\": true, \\\"type\\\": \\\"interface\\\"}], \\\"name\\\": \\\"br-ctlplane\\\", \\\"ovs_extra\\\": [\\\"br-set-external-id br-ctlplane bridge-id br-ctlplane\\\"], \\\"routes\\\": [], \\\"type\\\": \\\"ovs_bridge\\\", \\\"use_dhcp\\\": false}]}'\\n++ type -t network_config_hook\\n+ '[' '' = function ']'\\n+ sed -i s/bridge_name/br-ex/ /etc/os-net-config/config.json\\n+ sed -i s/interface_name/eth0/ /etc/os-net-config/config.json\\n+ set +e\\n+ os-net-config -c /etc/os-net-config/config.json -v --detailed-exit-codes\\n[2019/02/28 01:23:52 PM] [INFO] Using config file at: /etc/os-net-config/config.json\\n[2019/02/28 01:23:52 PM] [INFO] Ifcfg net config provider created.\\n[2019/02/28 01:23:52 PM] [INFO] Not using any mapping file.\\n[2019/02/28 01:23:53 PM] [INFO] Finding active nics\\n[2019/02/28 01:23:53 PM] [INFO] br-ctlplane is not an active nic\\n[2019/02/28 01:23:53 PM] [INFO] br-int is not an active nic\\n[2019/02/28 01:23:53 PM] [INFO] ovs-system is not an active nic\\n[2019/02/28 01:23:53 PM] [INFO] eth1 is an embedded active nic\\n[2019/02/28 01:23:53 PM] [INFO] eth0 is an embedded active nic\\n[2019/02/28 01:23:53 PM] [INFO] eth2 is an embedded active nic\\n[2019/02/28 01:23:53 PM] [INFO] lo is not an active nic\\n[2019/02/28 01:23:53 PM] [INFO] docker0 is not an active nic\\n[2019/02/28 01:23:53 PM] [INFO] No DPDK mapping available in path (/var/lib/os-net-config/dpdk_mapping.yaml)\\n[2019/02/28 01:23:53 PM] [INFO] Active nics are ['eth0', 'eth1', 'eth2']\\n[2019/02/28 01:23:53 PM] [INFO] nic3 mapped to: eth2\\n[2019/02/28 01:23:53 PM] [INFO] nic2 mapped to: eth1\\n[2019/02/28 01:23:53 PM] [INFO] nic1 mapped to: eth0\\n[2019/02/28 01:23:53 PM] [INFO] adding bridge: br-ctlplane\\n[2019/02/28 01:23:53 PM] [INFO] adding interface: eth0\\n[2019/02/28 01:23:53 PM] [INFO] applying network configs...\\n[2019/02/28 01:23:53 PM] [INFO] No changes required for interface: eth0\\nTraceback (most recent call last):\\n  File \\\"/bin/os-net-config\\\", line 10, in <module>\\n    sys.exit(main())\\n  File \\\"/usr/lib/python2.7/site-packages/os_net_config/cli.py\\\", line 294, in main\\n    activate=not opts.no_activate)\\n  File \\\"/usr/lib/python2.7/site-packages/os_net_config/impl_ifcfg.py\\\", line 1370, in apply\\n    interface[0])\\nUnboundLocalError: local variable 'interface' referenced before assignment\\n+ RETVAL=1\\n+ set -e\\n+ [[ 1 == 2 ]]\\n+ [[ 1 != 0 ]]\\n+ echo 'ERROR: os-net-config configuration failed.'\\nERROR: os-net-config configuration failed.\\n+ exit 1\\n\", \"deploy_status_code\": 1}", "[2019-02-28 13:23:53,074] (heat-config) [DEBUG] [2019-02-28 13:23:52,300] (heat-config) [INFO] disable_configure_safe_defaults=True", "[2019-02-28 13:23:52,300] (heat-config) [INFO] interface_name=eth0", "[2019-02-28 13:23:52,300] (heat-config) [INFO] bridge_name=br-ex", "[2019-02-28 13:23:52,300] (heat-config) [INFO] deploy_server_id=3fa744bc-6a10-4d09-a3ef-d7128732e2b4", "[2019-02-28 13:23:52,300] (heat-config) [INFO] deploy_action=CREATE", "[2019-02-28 13:23:52,300] (heat-config) [INFO] deploy_stack_id=undercloud-Undercloud-xpvawich3fmh-0-qauhuee66tng-NetworkDeployment-opu6wpwy6zxy-TripleOSoftwareDeployment-dr7gra3dvf3i/0281649a-7b0a-4813-b911-5d9f2f4c03e1", "[2019-02-28 13:23:52,300] (heat-config) [INFO] deploy_resource_name=TripleOSoftwareDeployment", "[2019-02-28 13:23:52,300] (heat-config) [INFO] deploy_signal_transport=NO_SIGNAL", "[2019-02-28 13:23:52,301] (heat-config) [DEBUG] Running /var/lib/heat-config/heat-config-script/65bc576a-7972-4920-ab57-95e7f73087c4", "[2019-02-28 13:23:53,070] (heat-config) [INFO] ", "[2019-02-28 13:23:53,070] (heat-config) [DEBUG] + '[' -n '{\"network_config\": [{\"addresses\": [{\"ip_netmask\": \"192.168.24.1/24\"}], \"dns_servers\": [], \"members\": [{\"mtu\": 1500, \"name\": \"interface_name\", \"primary\": true, \"type\": \"interface\"}], \"name\": \"br-ctlplane\", \"ovs_extra\": [\"br-set-external-id br-ctlplane bridge-id br-ctlplane\"], \"routes\": [], \"type\": \"ovs_bridge\", \"use_dhcp\": false}]}' ']'", "+ '[' -z True ']'", "+ mkdir -p /etc/os-net-config", "+ echo '{\"network_config\": [{\"addresses\": [{\"ip_netmask\": \"192.168.24.1/24\"}], \"dns_servers\": [], \"members\": [{\"mtu\": 1500, \"name\": \"interface_name\", \"primary\": true, \"type\": \"interface\"}], \"name\": \"br-ctlplane\", \"ovs_extra\": [\"br-set-external-id br-ctlplane bridge-id br-ctlplane\"], \"routes\": [], \"type\": \"ovs_bridge\", \"use_dhcp\": false}]}'", "++ type -t network_config_hook", "+ '[' '' = function ']'", "+ sed -i s/bridge_name/br-ex/ /etc/os-net-config/config.json", "+ sed -i s/interface_name/eth0/ /etc/os-net-config/config.json", "+ set +e", "+ os-net-config -c /etc/os-net-config/config.json -v --detailed-exit-codes", "[2019/02/28 01:23:52 PM] [INFO] Using config file at: /etc/os-net-config/config.json", "[2019/02/28 01:23:52 PM] [INFO] Ifcfg net config provider created.", "[2019/02/28 01:23:52 PM] [INFO] Not using any mapping file.", "[2019/02/28 01:23:53 PM] [INFO] Finding active nics", "[2019/02/28 01:23:53 PM] [INFO] br-ctlplane is not an active nic", "[2019/02/28 01:23:53 PM] [INFO] br-int is not an active nic", "[2019/02/28 01:23:53 PM] [INFO] ovs-system is not an active nic", "[2019/02/28 01:23:53 PM] [INFO] eth1 is an embedded active nic", "[2019/02/28 01:23:53 PM] [INFO] eth0 is an embedded active nic", "[2019/02/28 01:23:53 PM] [INFO] eth2 is an embedded active nic", "[2019/02/28 01:23:53 PM] [INFO] lo is not an active nic", "[2019/02/28 01:23:53 PM] [INFO] docker0 is not an active nic", "[2019/02/28 01:23:53 PM] [INFO] No DPDK mapping available in path (/var/lib/os-net-config/dpdk_mapping.yaml)", "[2019/02/28 01:23:53 PM] [INFO] Active nics are ['eth0', 'eth1', 'eth2']", "[2019/02/28 01:23:53 PM] [INFO] nic3 mapped to: eth2", "[2019/02/28 01:23:53 PM] [INFO] nic2 mapped to: eth1", "[2019/02/28 01:23:53 PM] [INFO] nic1 mapped to: eth0", "[2019/02/28 01:23:53 PM] [INFO] adding bridge: br-ctlplane", "[2019/02/28 01:23:53 PM] [INFO] adding interface: eth0", "[2019/02/28 01:23:53 PM] [INFO] applying network configs...", "[2019/02/28 01:23:53 PM] [INFO] No changes required for interface: eth0", "Traceback (most recent call last):", "  File \"/bin/os-net-config\", line 10, in <module>", "    sys.exit(main())", "  File \"/usr/lib/python2.7/site-packages/os_net_config/cli.py\", line 294, in main", "    activate=not opts.no_activate)", "  File \"/usr/lib/python2.7/site-packages/os_net_config/impl_ifcfg.py\", line 1370, in apply", "    interface[0])", "UnboundLocalError: local variable 'interface' referenced before assignment", "+ RETVAL=1", "+ set -e", "+ [[ 1 == 2 ]]", "+ [[ 1 != 0 ]]", "+ echo 'ERROR: os-net-config configuration failed.'", "ERROR: os-net-config configuration failed.", "+ exit 1", "", "[2019-02-28 13:23:53,070] (heat-config) [ERROR] Error running /var/lib/heat-config/heat-config-script/65bc576a-7972-4920-ab57-95e7f73087c4. [1]", "", "", "[2019-02-28 13:23:53,074] (heat-config) [INFO] Completed /usr/libexec/heat-config/hooks/script", "[2019-02-28 13:23:53,075] (heat-config) [DEBUG] Running heat-config-notify /var/lib/heat-config/deployed/65bc576a-7972-4920-ab57-95e7f73087c4.json < /var/lib/heat-config/deployed/65bc576a-7972-4920-ab57-95e7f73087c4.notify.json", "[2019-02-28 13:23:53,799] (heat-config) [INFO] ", "[2019-02-28 13:23:53,799] (heat-config) [DEBUG] "], "stdout": "", "stdout_lines": []}
2019-02-28 13:23:56 |                 "[2019-02-28 13:23:53,074] (heat-config) [INFO] {\"deploy_stdout\": \"\", \"deploy_stderr\": \"+ '[' -n '{\\\"network_config\\\": [{\\\"addresses\\\": [{\\\"ip_netmask\\\": \\\"192.168.24.1/24\\\"}], \\\"dns_servers\\\": [], \\\"members\\\": [{\\\"mtu\\\": 1500, \\\"name\\\": \\\"interface_name\\\", \\\"primary\\\": true, \\\"type\\\": \\\"interface\\\"}], \\\"name\\\": \\\"br-ctlplane\\\", \\\"ovs_extra\\\": [\\\"br-set-external-id br-ctlplane bridge-id br-ctlplane\\\"], \\\"routes\\\": [], \\\"type\\\": \\\"ovs_bridge\\\", \\\"use_dhcp\\\": false}]}' ']'\\n+ '[' -z True ']'\\n+ mkdir -p /etc/os-net-config\\n+ echo '{\\\"network_config\\\": [{\\\"addresses\\\": [{\\\"ip_netmask\\\": \\\"192.168.24.1/24\\\"}], \\\"dns_servers\\\": [], \\\"members\\\": [{\\\"mtu\\\": 1500, \\\"name\\\": \\\"interface_name\\\", \\\"primary\\\": true, \\\"type\\\": \\\"interface\\\"}], \\\"name\\\": \\\"br-ctlplane\\\", \\\"ovs_extra\\\": [\\\"br-set-external-id br-ctlplane bridge-id br-ctlplane\\\"], \\\"routes\\\": [], \\\"type\\\": \\\"ovs_bridge\\\", \\\"use_dhcp\\\": false}]}'\\n++ type -t network_config_hook\\n+ '[' '' = function ']'\\n+ sed -i s/bridge_name/br-ex/ /etc/os-net-config/config.json\\n+ sed -i s/interface_name/eth0/ /etc/os-net-config/config.json\\n+ set +e\\n+ os-net-config -c /etc/os-net-config/config.json -v --detailed-exit-codes\\n[2019/02/28 01:23:52 PM] [INFO] Using config file at: /etc/os-net-config/config.json\\n[2019/02/28 01:23:52 PM] [INFO] Ifcfg net config provider created.\\n[2019/02/28 01:23:52 PM] [INFO] Not using any mapping file.\\n[2019/02/28 01:23:53 PM] [INFO] Finding active nics\\n[2019/02/28 01:23:53 PM] [INFO] br-ctlplane is not an active nic\\n[2019/02/28 01:23:53 PM] [INFO] br-int is not an active nic\\n[2019/02/28 01:23:53 PM] [INFO] ovs-system is not an active nic\\n[2019/02/28 01:23:53 PM] [INFO] eth1 is an embedded active nic\\n[2019/02/28 01:23:53 PM] [INFO] eth0 is an embedded active nic\\n[2019/02/28 01:23:53 PM] [INFO] eth2 is an embedded active nic\\n[2019/02/28 01:23:53 PM] [INFO] lo is not an active nic\\n[2019/02/28 01:23:53 PM] [INFO] docker0 is not an active nic\\n[2019/02/28 01:23:53 PM] [INFO] No DPDK mapping available in path (/var/lib/os-net-config/dpdk_mapping.yaml)\\n[2019/02/28 01:23:53 PM] [INFO] Active nics are ['eth0', 'eth1', 'eth2']\\n[2019/02/28 01:23:53 PM] [INFO] nic3 mapped to: eth2\\n[2019/02/28 01:23:53 PM] [INFO] nic2 mapped to: eth1\\n[2019/02/28 01:23:53 PM] [INFO] nic1 mapped to: eth0\\n[2019/02/28 01:23:53 PM] [INFO] adding bridge: br-ctlplane\\n[2019/02/28 01:23:53 PM] [INFO] adding interface: eth0\\n[2019/02/28 01:23:53 PM] [INFO] applying network configs...\\n[2019/02/28 01:23:53 PM] [INFO] No changes required for interface: eth0\\nTraceback (most recent call last):\\n  File \\\"/bin/os-net-config\\\", line 10, in <module>\\n    sys.exit(main())\\n  File \\\"/usr/lib/python2.7/site-packages/os_net_config/cli.py\\\", line 294, in main\\n    activate=not opts.no_activate)\\n  File \\\"/usr/lib/python2.7/site-packages/os_net_config/impl_ifcfg.py\\\", line 1370, in apply\\n    interface[0])\\nUnboundLocalError: local variable 'interface' referenced before assignment\\n+ RETVAL=1\\n+ set -e\\n+ [[ 1 == 2 ]]\\n+ [[ 1 != 0 ]]\\n+ echo 'ERROR: os-net-config configuration failed.'\\nERROR: os-net-config configuration failed.\\n+ exit 1\\n\", \"deploy_status_code\": 1}",
2019-02-28 13:23:56 |                 "UnboundLocalError: local variable 'interface' referenced before assignment",
2019-02-28 13:23:56 |                 "+ echo 'ERROR: os-net-config configuration failed.'",
2019-02-28 13:23:56 |                 "ERROR: os-net-config configuration failed.",

Comment 2 Bob Fournier 2019-03-01 17:58:36 UTC
A fix for this has merged to Rocky upstream - https://review.openstack.org/#/c/639980/. The fix has been in the master branch.

Comment 8 Alexander Chuzhoy 2019-03-06 21:37:22 UTC
Verified:

Environment: os-net-config-9.2.1-0.20190117181409.el7ost

Undercloud upgrade succeeded.

Comment 11 errata-xmlrpc 2019-03-18 13:03:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0446


Note You need to log in before you can comment on or make changes to this bug.